FeatureModelManager (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature
Class FeatureModelManager

    java.lang.Object
      org.maltparser.core.feature.FeatureModelManager

    public class FeatureModelManager

extends Object

Author:
  Johan Hall

Field Summary
`protected ConfigurationDir` | `configDirectory`
`protected FeatureEngine` | `featureEngine`
`protected SpecificationModels` | `specModels`

Constructor Summary
`FeatureModelManager(FeatureEngine engine, ConfigurationDir configDirectory)`

Method Summary
`ConfigurationDir` | `getConfigDirectory()`
`FeatureEngine` | `getFeatureEngine()`
`FeatureModel` | `getFeatureModel(SpecificationModel specModel, ConfigurationRegistry registry)`
`FeatureModel` | `getFeatureModel(String specModelURL, ConfigurationRegistry registry)`
`FeatureModel` | `getFeatureModel(String specModelURL, int specModelUrlIndex, ConfigurationRegistry registry)`
`SpecificationModels` | `getSpecModels()`
`void` | `loadParSpecification(String specModelFileName, String markingStrategy, String coveredRoot)`
`void` | `loadSpecification(String specModelFileName)`
`void` | `setConfigDirectory(ConfigurationDir configDirectory)`
`void` | `setFeatureEngine(FeatureEngine featureEngine)`
`protected void` | `setSpecModels(SpecificationModels specModel)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### specModels

    protected SpecificationModels specModels

### featureEngine

    protected FeatureEngine featureEngine

### configDirectory

    protected ConfigurationDir configDirectory

Constructor Detail

### FeatureModelManager

    public FeatureModelManager(FeatureEngine engine,
                               ConfigurationDir configDirectory)
                        throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### loadSpecification

    public void loadSpecification(String specModelFileName)
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### loadParSpecification

    public void loadParSpecification(String specModelFileName,
                                     String markingStrategy,
                                     String coveredRoot)
                              throws MaltChainedException

  Throws:
    `MaltChainedException`

### getFeatureModel

    public FeatureModel getFeatureModel(String specModelURL,
                                        int specModelUrlIndex,
                                        ConfigurationRegistry registry)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### getFeatureModel

    public FeatureModel getFeatureModel(String specModelURL,
                                        ConfigurationRegistry registry)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### getFeatureModel

    public FeatureModel getFeatureModel(SpecificationModel specModel,
                                        ConfigurationRegistry registry)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### getSpecModels

    public SpecificationModels getSpecModels()

### setSpecModels

    protected void setSpecModels(SpecificationModels specModel)

### getFeatureEngine

    public FeatureEngine getFeatureEngine()

### setFeatureEngine

    public void setFeatureEngine(FeatureEngine featureEngine)

### getConfigDirectory

    public ConfigurationDir getConfigDirectory()

### setConfigDirectory

    public void setConfigDirectory(ConfigurationDir configDirectory)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.